Package org.eclipse.net4j.util.om.trace

## Class ContextTracer

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.ContextTracer

- Direct Known Subclasses:
    `PerfTracer`

      public class ContextTracer
      extends java.lang.Object

  Encapsulates a tracing `context` and delegates trace calls to a bundle `tracer`.
  Author:
    Eike Stepper
  See Also:
    `PerfTracer`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextTracer​(OMTracer delegate, java.lang.Class<?> context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `format​(java.lang.String pattern, java.lang.Object... args)` |
    `void` | `format​(java.lang.String pattern, java.lang.Throwable t, java.lang.Object... args)` |
    `OMBundle` | `getBundle()` |
    `java.lang.Class<?>` | `getContext()` |
    `OMTracer` | `getDelegate()` |
    `java.lang.String` | `getFullName()` |
    `java.lang.String` | `getName()` |
    `OMTracer` | `getParent()` |
    `boolean` | `isEnabled()` |
    `void` | `setEnabled​(boolean enabled)` |
    `java.lang.String` | `toString()` |
    `void` | `trace​(java.lang.String msg)` |
    `void` | `trace​(java.lang.String msg, java.lang.Throwable t)` |
    `void` | `trace​(java.lang.Throwable t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextTracer

          public ContextTracer​(OMTracer delegate,
                               java.lang.Class<?> context)

  - ### Method Detail

    - #### getContext

          public java.lang.Class<?> getContext()

      Since:
        3.2

    - #### getBundle

          public OMBundle getBundle()

    - #### getFullName

          public java.lang.String getFullName()

    - #### getName

          public java.lang.String getName()

    - #### getDelegate

          public OMTracer getDelegate()

    - #### getParent

          public OMTracer getParent()

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### format

          public void format​(java.lang.String pattern,
                             java.lang.Object... args)

    - #### format

          public void format​(java.lang.String pattern,
                             java.lang.Throwable t,
                             java.lang.Object... args)

    - #### trace

          public void trace​(java.lang.String msg,
                            java.lang.Throwable t)

    - #### trace

          public void trace​(java.lang.String msg)

    - #### trace

          public void trace​(java.lang.Throwable t)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`